Subject: bug#66000: closed (Re: [bug#66000] [PATCH 0/1] update dune to 3.10)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Sep 2023 19:12:05 +0000

Your bug report

#66000: [PATCH 0/1] update dune to 3.10

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66000: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66000] [PATCH 0/1] update dune to 3.10
From: Simon Tournier <[email-masked]>
To: Benjamin <[email-masked]>, pukkamustard <[email-masked]>
Cc: Julien Lepiller <[email-masked]>, [email-masked]
Date: Fri, 15 Sep 2023 18:49:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 15 Sep 2023 at 17:54, "Benjamin" <[email-masked]> wrote:

>> There's a patch series to update the OCaml compiler, dune and the Coq
>> clique here:
>>
>> https://issues.guix.gnu.org/64249
>>
>> Maybe we can close this issue for #64249?
>
> Oh I looked for dune open issues but did not find that one.
> Sure we can merge it and close this issue

I am closing #66000… nice id number btw. ;-)

Cheers,
simon

Subject: [PATCH 0/1] update dune to 3.10
From: Benjamin <[email-masked]>
To: [email-masked]
Cc: Benjamin <[email-masked]>
Date: Fri, 15 Sep 2023 16:20:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patch update dune to version 3.10.

This will allow me to push a series of patch to bump eio to 0.12 (as it
depends on dune 3.9 [0]

I check the build of affected packages by running `guix build` on `guix
refresh -l dune`

By doing so, I discovered that it is not possible to build current coq
version with latest dune. That is the reason why I kept the current
version of dune for those packages.

[0] https://github.com/ocaml-multicore/eio/blob/v0.12/dune-project#L1

Benjamin (1):
  gnu: dune-bootstrap: Update to 3.10.0.

 gnu/packages/coq.scm   |  3 +++
 gnu/packages/ocaml.scm | 31 +++++++++++++++++++++++--------
 2 files changed, 26 insertions(+), 8 deletions(-)

base-commit: 69580997bd1b383659b990a5e1e46817e371fa8c
-- 
2.41.0